package org.sevensource.commons.jdbcconfiguration.impl;

import org.sevensource.commons.jdbcconfiguration.AbstractConfiguration;
import org.sevensource.commons.jdbcconfiguration.database.ExtendedCompositeConfiguration;
import org.springframework.core.env.Environment;


public class DefaultConfiguration extends AbstractConfiguration<DefaultEnvironment> {

	public DefaultConfiguration(Environment environment,
			ExtendedCompositeConfiguration databaseConfiguration) {
		super(environment, databaseConfiguration);
	}

	@Override
	public DefaultEnvironment resolveConfigurationEnvironment() {
		return DefaultEnvironment.resolveEnvironment( getEnvironment() );
	}

}
