package org.sevensource.commons.jdbcconfiguration.spring.support;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

/**
 * Utility class to inject the Application Context
 * @author philipp.gaschuetz
 *
 */
@Component
public class ApplicationContextProvider implements ApplicationContextAware {  
    public void setApplicationContext(ApplicationContext ctx) throws BeansException {
        SpringApplicationContext.setApplicationContext(ctx);  
    }  
}